Package de.willuhn.jameica.hbci.io.csv

# Class ProfileUtil

java.lang.Object
de.willuhn.jameica.hbci.io.csv.ProfileUtil

public class ProfileUtil extends Object
Hilfeklasse zum Laden und Speichern von CSV-Import-Profilen.

## Constructor Summary

Constructors
Constructor
Description
`ProfileUtil()`

## Method Summary

Modifier and Type
Method
Description
`static Profile`
`add(Format format, Profile profile)`
Fuegt ein neues Profil hinzu.
`static boolean`
`delete(Format format, Profile profile)`
Loescht das angegebene Profil.
`static List<Profile>`
`read(Format format)`
Laedt die vorhandenen Profile fuer das Format.
`static void`
`store(Format format, List<Profile> profiles)`
Speichert die Profile.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProfileUtil

public ProfileUtil()

## Method Details

### read

public static List<Profile> read(Format format)
Laedt die vorhandenen Profile fuer das Format.

Parameters:
  `format` - das Format.
Returns:
  die Liste der Profile.

### store

public static void store(Format format, List<Profile> profiles)
Speichert die Profile.

Parameters:
  `format` - das Format.
  `profiles` - die zu speichernden Profile.

### add

public static Profile add(Format format, Profile profile)
Fuegt ein neues Profil hinzu.

Parameters:
  `format` - das Format.
  `profile` - das zu speichernde Profil.
Returns:
  das hinzugefuegte oder geaenderte Profil. NULL, wenn nicht gespeichert wurde.

### delete

public static boolean delete(Format format, Profile profile)
Loescht das angegebene Profil.

Parameters:
  `format` - das Format.
  `profile` - das zu speichernde Profil.
Returns:
  true, wenn das Profil geloescht wurde.